Create Wallet¶
Supports DeFi wallets and Segregate Account warm wallets.
Endpoint¶
Request¶
Path Parameters¶
| Field | Type | Description |
|---|---|---|
b_id |
String | Business line ID |
Body Parameters¶
| Field | Type | Description |
|---|---|---|
| wallet_type Required | String | Wallet type. Allowed values: DEFI, HOT |
| number Required | Integer | Number of wallets to create. Allowed range: 1–10. |
| chain Conditionally required | String | Required when creating a HOT wallet. For a DeFi wallet, leaving this field empty creates an EVM-compatible wallet by default; set it to SOLANA to create a Solana DeFi wallet. |
| wallet_name Optional | String | Wallet name. |
DeFi Wallet Request Body Example¶
Segregate Account Warm Wallet Request Body Example¶
Request Body
{
"wallet_type": "HOT",
"chain": "STELLAR",
"number": 2,
"wallet_name": "Stellar Warm Wallet"
}
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| data | Object | List of created wallet IDs (see data object details below) |
| successful | Boolean | Whether the request was successful |